Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io.mmcif.model
Class AtomSite

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean
          org.biojava.bio.structure.io.mmcif.model.AtomSite

    public class AtomSite

extends AbstractBean

Constructor Summary
`AtomSite()`

Method Summary
`String` | `getAuth_asym_id()`
`String` | `getAuth_atom_id()`
`String` | `getAuth_comp_id()`
`String` | `getAuth_seq_id()`
`String` | `getB_iso_or_equiv_esd()`
`String` | `getB_iso_or_equiv()`
`String` | `getCartn_x_esd()`
`String` | `getCartn_x()`
`String` | `getCartn_y_esd()`
`String` | `getCartn_y()`
`String` | `getCartn_z_esd()`
`String` | `getCartn_z()`
`String` | `getGroup_PDB()`
`String` | `getId()`
`String` | `getLabel_alt_id()`
`String` | `getLabel_asym_id()`
`String` | `getLabel_atom_id()`
`String` | `getLabel_comp_id()`
`String` | `getLabel_entity_id()`
`String` | `getLabel_seq_id()`
`String` | `getOccupancy_esd()`
`String` | `getOccupancy()`
`String` | `getPdbx_formal_charge()`
`String` | `getPdbx_PDB_ins_code()`
`String` | `getPdbx_PDB_model_num()`
`String` | `getType_symbol()`
`void` | `setAuth_asym_id(String auth_asym_id)`
`void` | `setAuth_atom_id(String auth_atom_id)`
`void` | `setAuth_comp_id(String auth_comp_id)`
`void` | `setAuth_seq_id(String auth_seq_id)`
`void` | `setB_iso_or_equiv_esd(String b_iso_or_equiv_esd)`
`void` | `setB_iso_or_equiv(String b_iso_or_equiv)`
`void` | `setCartn_x_esd(String cartn_x_esd)`
`void` | `setCartn_x(String cartn_x)`
`void` | `setCartn_y_esd(String cartn_y_esd)`
`void` | `setCartn_y(String cartn_y)`
`void` | `setCartn_z_esd(String cartn_z_esd)`
`void` | `setCartn_z(String cartn_z)`
`void` | `setGroup_PDB(String group_PDB)`
`void` | `setId(String id)`
`void` | `setLabel_alt_id(String label_alt_id)`
`void` | `setLabel_asym_id(String label_asym_id)`
`void` | `setLabel_atom_id(String label_atom_id)`
`void` | `setLabel_comp_id(String label_comp_id)`
`void` | `setLabel_entity_id(String label_entity_id)`
`void` | `setLabel_seq_id(String label_seq_id)`
`void` | `setOccupancy_esd(String occupancy_esd)`
`void` | `setOccupancy(String occupancy)`
`void` | `setPdbx_formal_charge(String pdbx_formal_charge)`
`void` | `setPdbx_PDB_ins_code(String pdbx_PDB_ins_code)`
`void` | `setPdbx_PDB_model_num(String pdbx_PDB_model_num)`
`void` | `setType_symbol(String type_symbol)`

Methods inherited from class org.biojava.bio.structure.io.mmcif.model.AbstractBean
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomSite

    public AtomSite()

Method Detail

### getGroup_PDB

    public String getGroup_PDB()

### setGroup_PDB

    public void setGroup_PDB(String group_PDB)

### getId

    public String getId()

### setId

    public void setId(String id)

### getType_symbol

    public String getType_symbol()

### setType_symbol

    public void setType_symbol(String type_symbol)

### getLabel_alt_id

    public String getLabel_alt_id()

### setLabel_alt_id

    public void setLabel_alt_id(String label_alt_id)

### getLabel_comp_id

    public String getLabel_comp_id()

### setLabel_comp_id

    public void setLabel_comp_id(String label_comp_id)

### getLabel_entity_id

    public String getLabel_entity_id()

### setLabel_entity_id

    public void setLabel_entity_id(String label_entity_id)

### getLabel_seq_id

    public String getLabel_seq_id()

### setLabel_seq_id

    public void setLabel_seq_id(String label_seq_id)

### getPdbx_PDB_ins_code

    public String getPdbx_PDB_ins_code()

### setPdbx_PDB_ins_code

    public void setPdbx_PDB_ins_code(String pdbx_PDB_ins_code)

### getCartn_x

    public String getCartn_x()

### setCartn_x

    public void setCartn_x(String cartn_x)

### getCartn_y

    public String getCartn_y()

### setCartn_y

    public void setCartn_y(String cartn_y)

### getCartn_z

    public String getCartn_z()

### setCartn_z

    public void setCartn_z(String cartn_z)

### getOccupancy

    public String getOccupancy()

### setOccupancy

    public void setOccupancy(String occupancy)

### getB_iso_or_equiv

    public String getB_iso_or_equiv()

### setB_iso_or_equiv

    public void setB_iso_or_equiv(String b_iso_or_equiv)

### getCartn_x_esd

    public String getCartn_x_esd()

### setCartn_x_esd

    public void setCartn_x_esd(String cartn_x_esd)

### getCartn_y_esd

    public String getCartn_y_esd()

### setCartn_y_esd

    public void setCartn_y_esd(String cartn_y_esd)

### getCartn_z_esd

    public String getCartn_z_esd()

### setCartn_z_esd

    public void setCartn_z_esd(String cartn_z_esd)

### getAuth_seq_id

    public String getAuth_seq_id()

### setAuth_seq_id

    public void setAuth_seq_id(String auth_seq_id)

### getAuth_comp_id

    public String getAuth_comp_id()

### setAuth_comp_id

    public void setAuth_comp_id(String auth_comp_id)

### getAuth_asym_id

    public String getAuth_asym_id()

### setAuth_asym_id

    public void setAuth_asym_id(String auth_asym_id)

### getAuth_atom_id

    public String getAuth_atom_id()

### setAuth_atom_id

    public void setAuth_atom_id(String auth_atom_id)

### getPdbx_PDB_model_num

    public String getPdbx_PDB_model_num()

### setPdbx_PDB_model_num

    public void setPdbx_PDB_model_num(String pdbx_PDB_model_num)

### getLabel_atom_id

    public String getLabel_atom_id()

### setLabel_atom_id

    public void setLabel_atom_id(String label_atom_id)

### getLabel_asym_id

    public String getLabel_asym_id()

### setLabel_asym_id

    public void setLabel_asym_id(String label_asym_id)

### getOccupancy_esd

    public String getOccupancy_esd()

### setOccupancy_esd

    public void setOccupancy_esd(String occupancy_esd)

### getB_iso_or_equiv_esd

    public String getB_iso_or_equiv_esd()

### setB_iso_or_equiv_esd

    public void setB_iso_or_equiv_esd(String b_iso_or_equiv_esd)

### getPdbx_formal_charge

    public String getPdbx_formal_charge()

### setPdbx_formal_charge

    public void setPdbx_formal_charge(String pdbx_formal_charge)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD